Bug 31123 - [SNB] two intel_gpu_tools cases cause GPU hang
Summary: [SNB] two intel_gpu_tools cases cause GPU hang
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: high major
Assignee: Chris Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-25 20:35 UTC by Yi Sun
Modified: 2017-10-06 14:53 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg when GPU hang (1.04 KB, text/plain)
2010-10-25 20:36 UTC, Yi Sun
no flags Details
intel_gpu_dump (152.88 KB, application/x-zip-compressed)
2010-10-25 20:38 UTC, Yi Sun
no flags Details

Description Yi Sun 2010-10-25 20:35:01 UTC
System Environment:
--------------------------
Libdrm:         (master)2.4.22-4-gc5286f4a871e054b63dee8a60a6f06574c4ca1b8
Mesa:           (master)8449a4772a73f613d9425b691cffba6a261df813
Xserver:                (master)xorg-server-1.9.0-178-g1a0d9324b3d9fd93e685066e0e5cea0611878c0d
Xf86_video_intel:               (master)2.12.902-24-gb066ddda31e40afa652ae51ffc35025ac3ef6f2a
Cairo:          (master)6dc0b19adb6da690ad5944623081b9cdb42de066
Libva:          (master)6c372035373e531d2bb5608861adab3f6b2ff471
Kernel: 2.6.36-rc7

Bug detailed description:
-------------------------
GPU hang, while the case intel_gpu_tools/gem_tiled_pread or case gem_tiled_blits/gem_tiled_pread runs.
Comment 1 Yi Sun 2010-10-25 20:36:36 UTC
Created attachment 39771 [details]
dmesg when GPU hang
Comment 2 Yi Sun 2010-10-25 20:38:36 UTC
Created attachment 39772 [details]
intel_gpu_dump
Comment 3 Chris Wilson 2010-10-26 03:48:11 UTC
intel-gpu-tools wasn't ready for the split BLT ring. That's now fixed, just appears to have some cache coherency issues on my box.


commit d4d769a4329f3f22842f8270fca46047bd4892ce
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 26 10:59:18 2010 +0100

    Prepare for split BLT ring on Sandybridge.
    
    Depends on libdrm 057fab3382c02af54126ce395c43d4e6dce9439a
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=31123
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 4 Yi Sun 2010-10-28 00:42:29 UTC
The intel-gpu-tools gem_tiled_blits and gem_tiled_pread work well now. So verified the bug.
Comment 5 Elizabeth 2017-10-06 14:53:34 UTC
Closing old verified.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.